package uk.ac.ox.tall.wcker.util;

import java.io.File;
import javax.xml.parsers.DocumentBuilderFactory;

import org.jdom.Document;
import org.jdom.input.SAXBuilder;

import uk.ac.ox.tall.wcker.Wcker;

/**
 *  simple class to hold static method
 *
 */

public class LoadXML {
	
	/**
	 *	Load an XML file into an in-memory Document
	 *	
	 *	param filePath the name of the XML file
	 *      return the in-memory Document object which holds the XML information 
	 *	see@ Document
	 */
	static public Document loadXml(String filePath) {
		//Convert the string to a File object and pass it to the other loadXML
		File xmlFile = new File(filePath);
		return loadXml(xmlFile);
	}
	

	/**
	 *	Load an XML file into an in-memory Document
	 *	
	 *	param filePath the name of the XML file
	 *      return the in-memory Document object which holds the XML information 
	 *	see@ Document
	 */
	static public Document loadXml(File file) {
		Document localXmlDocument;
		if (Wcker.DEBUG > 1) {
			System.out.println("LoadXML() started: " + file);
			System.out.println("    ...exists? " + file.exists());
		}
		
		// TODO: Do we need to validate? - we probably should.
		//dbf.setValidating(true);
		//dbf.setAttribute("http://java.sun.com/xml/jaxp/properties/schemaLanguage", "http://www.w3.org/2001/XMLSchema");
		//String schema =  "file://home/johnstod/xerces/BookStore.xsd";
		
		// Try and load the XML file
		try {
			SAXBuilder sb =  new SAXBuilder();
			localXmlDocument = sb.build(file);
		}
		catch (Exception e) {
			localXmlDocument = null;
			System.out.println("Could not create document");
			System.out.println("Exception: " + e);
		}

		if (Wcker.DEBUG > 1) {
			System.out.println("localXmlDocument: " + localXmlDocument);
			System.out.println("localXmlDocument.toString(): " + localXmlDocument.toString());
			System.out.println("LoadXML ended");
		}
		return localXmlDocument;
	}

	/**
	 *	Load an InputStream into an in-memory Document
	 *	
	 *	param filePath the name of the XML file
	 *      return the in-memory Document object which holds the XML information 
	 *	see@ Document
	 */
	/*
	static public Document loadXml(InputStream input) {
		Document localXmlDocument;

		DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
		try {
			DocumentBuilder db = dbf.newDocumentBuilder();
			localXmlDocument = db.parse(input);
		} catch (Exception e )
		{
			localXmlDocument = null;
			System.out.println("exception" + e);
		} return localXmlDocument;
	}
	*/
}
