package uk.ac.ox.tall.wcker.wizard;

import java.util.List;

import org.jdom.Element;

import uk.ac.ox.tall.wcker.Wcker;

/**
 * ApplyToHier object, conatining all questions to ask about which heirarchy items,
 * for a given applyToHier step 
 * @author balchd
 *
 */
public class ApplyToHier {
	private NeedToKnow ntk;
    public String prompt;
    public Guidance[] guidance;
    public ApplyToItem[] applyItemChunks;

    /**
     * Constructor
     * @param hierEl
     */
    public ApplyToHier(Element hierEl, NeedToKnow ntkArg) {
		ntk = ntkArg;
		
        // Get the child elements
        Element promptEl = hierEl.getChild("prompt", NeedToKnow.nsWSI);
        List guidanceEls = hierEl.getChildren("guidance", NeedToKnow.nsWSI);
        List applyEls = hierEl.getChildren("applyToItem", NeedToKnow.nsWSI);
        
        //Set values from the child elements
        if (promptEl != null) {
            prompt = promptEl.getValue();
        }

        if (guidanceEls != null) {
            guidance = new Guidance[guidanceEls.size()];
            for (int i=0; i<guidanceEls.size(); i++) {
                // TODO
                //guidance[i] = guidanceNodes.item(i).getNodeValue();
            }
        }
        
        // Set up the applyToItem objects
        applyItemChunks = new ApplyToItem[applyEls.size()];
        for (int i=0; i<applyEls.size(); i++) {

            if(Wcker.DEBUG > 1) {
                System.out.println("applyNodes.item(" + i + "): " + applyEls.get(i));
            }
            applyItemChunks[i] = new ApplyToItem((Element)applyEls.get(i), ntk);
        }
    }

}
