/*
 * Created on 14-Jul-2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package uk.ac.ox.tall.wcker.wizard;

import java.util.List;

import org.jdom.Element;

import uk.ac.ox.tall.wcker.Wcker;

/**
 * @author David Balch
 *
 * Handle guidance information, using HTML as a preferred format.
 * Use HTML in the .wsi directly, add basic HTML markup to plain text. 
 */
public class Guidance {
    Element guidanceDiv;
	
    public Guidance(Element qEl) {
        if(Wcker.DEBUG > 1) {
        	System.out.println("New Guidance ");
			System.out.println("qEl: " + qEl);
		}
    	String nodeName = qEl.getName();

        // Create root node for this guidance fragment (a HTML div)
        guidanceDiv = new Element("div");
        //TODO: add unique ID
    	
        // Get the data from the argument Node
    	if (nodeName.equals("guidance")) {
    		// We've been given a guidance element, so go convert it
    		addGuidance(qEl, guidanceDiv);
    		
    	} else if (nodeName.equals("question")) {
    		// We've been given a question element,
    		// so go convert the prompt and guidance
    		WckerUtility.boldEl(qEl.getChild("prompt", NeedToKnow.nsWSI), guidanceDiv);
    		addGuidance(qEl.getChild("guidance", NeedToKnow.nsWSI), guidanceDiv);
    	}

		if(Wcker.DEBUG > 1) {
			System.out.println("");
			System.out.println("# guidance #");
			System.out.println("guidanceDiv: " + guidanceDiv);
			System.out.println("toString(): " + toString());
		}
    }
    
    /*
     * Add DOM fragments to the Document root from a .wsi XML guidance element
     */ 
    private void addGuidance(Element gNode, Element target) {
        if(Wcker.DEBUG > 0) {
        	System.out.println("addGuidance ");
			System.out.println("gNode: " + gNode);
			System.out.println("gNode.getChildren(): " + gNode.getChildren());
		}
        // Add all gNode guidance to the node
        List children = gNode.getChildren();
        for(int i = 0; i<children.size(); i++) {
        	// The current childNode
        	Element thisChild = (Element)children.get(i);
        	
        	String thisChildName = thisChild.getName();
        	// Distinguish between differnet guidance formats (e.g. plainText, html)
        	if(thisChildName.equals("html")) {
        		// If a html element, add all its children to the root.
        		List htmlChildren = thisChild.getChildren();
        		for(int j = 0; j<htmlChildren.size(); j++) {
        			Element clone = (Element)((Element)htmlChildren.get(j)).clone();
        			guidanceDiv.addContent(clone);
        		}
        	} else if(thisChildName.equals("plainText")) {
        		// If a plainText element, format it, then add it to the root.
        		
        		// Split the text at newlines 
        		String[] lines = thisChild.getText().split("\n");
        		for(int k = 0; k<lines.length; k++) {
        			target.addContent(lines[k]);
        			target.addContent(new Element("br"));
        			target.addContent(new Element("br"));
        		}
        	}
        	
        }
        
        if(Wcker.DEBUG > 1) {
        	System.out.println("");
			System.out.println("# guidance #");
			System.out.println("guidanceDiv: " + guidanceDiv);
			System.out.println("toString(): " + toString());
		}
    }

    public Element getInfo() {
        return guidanceDiv;
    }

    public String toString() {
        return guidanceDiv.getText();
    }
}
