package uk.ac.ox.tall.wcker.wizard;

import java.io.*;

import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
//import org.eclipse.swt.events.*;
import org.eclipse.swt.layout.*;
//import org.eclipse.swt.widgets.DirectoryDialog;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.graphics.Device;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.FontData;


import org.eclipse.swt.custom.*;
import org.eclipse.swt.graphics.*;

import uk.ac.ox.tall.wcker.Wcker;
//import org.eclipse.swt.widgets.*;
//import org.eclipse.swt.layout.*;

/**
 * Help class - for displaying help information on RHS of wizard window
 *              this info is presented in the form of an HTML string
 *              so can be either program-generated OR read in from an
 *              HTML file
 * 
 * @author BalchD
 * @author JohnstonD
 *  
 */

public class Help {
	/** display information on a FontData array */

 	void display_font_data(FontData fd0[]) {
		int i;
		System.out.println("fd0 length ---->" + fd0.length);
		for(i=0;i<fd0.length;++i) {
			System.out.println("fd0[i] ---->" + fd0[i]);	
		}
	}

	/** recursive code to extract XML tags from a String 
          * XML tags are delineated by "<" and ">" 
          * These are returned in a String array
          * 
          * @param in input string
          * @return array of XML tags as string array
          */
 	public String[] extract_tags(String in) {
		int i, start, end;
		String tag, remainder;

		start = in.indexOf("<");		// start of tag
		if(start >= 0) {
			end =  in.indexOf(">");		// end of tag
			if(end >= 0) {
				if(Wcker.DEBUG > 0) {
					System.out.println("-> " + start + "-->" + end + "=>" + in);
				}
				tag       = in.substring(start,end + 1);
				remainder = in.substring(end + 1);

				String a[] = extract_tags(remainder);	// recursive call
				String b[] = new String[a.length + 1];
				b[0] = tag;
				for(i=1;i<b.length;++i) {
					b[i] = a[i-1];
				}
				return b;
			}
		}
		return new String[0];
	}
 	
	/**
          * displays HTML (stored as a string) with "some" semblance of fidelity
          * within a StyledText page.
          * tags are supplied on odd lines intersperced
          * with normal text on even lines to make things easy to deal with
          */
	String[] line_to_multi_new(String line2) {
		int nlines = ( line2.length() + 39 ) / 40;
		String[] line3 = new String[nlines];
		for(int i = 0; i < nlines; ++i) {
			int start = i * 40;
			int end   = i  * 40;
			if(end >=  line2.length()) {
				end = line2.length();
			}
			line3[i] = line2.substring(start,end);
		}
		return line3;
	}
	
	String[] line_to_multi(String line2) {
		int nlines = 1;
		String[] line3 = new String[nlines];
		line3[0] = line2;
		return line3;
	}
	
	 public String display_mixed_strings( Display display, String sstt[], StyledText page) {
		int after, before;

		Device d = (Device ) display;			
		if(Wcker.DEBUG > 0) {
			System.out.println("DISPLAY ---->" + d);
		}

		Shell sh = display.getActiveShell();		
		if(Wcker.DEBUG > 0) {
			System.out.println("SHELL ---->" + sh);
		}

		//Font f0 = sh.getFont();
		Shell sha[] = display.getShells();		
		if(Wcker.DEBUG > 0) {
			System.out.println("SHELL[0] ---->" + sha[0]);
		}

		// THE ORIGINAL FONT 
		Font f_old = sha[0].getFont();

		// THE ORIGINAL FONT INFORMATION
		FontData fd0[] = f_old.getFontData();	
		if(Wcker.DEBUG > 0) {	
			display_font_data(fd0);
		}
							
		// BOLD FROM ORIGINAL
		FontData fd_new = fd0[0];
		fd_new.setStyle(SWT.BOLD);
		Font f_new = new Font(display, fd_new );

		String text_out3 = "";
		String line;
		String tag;
		int i;
		int count = 0;

		boolean bold_on = false;
		boolean underline_on = false;

		for(i=0;i<sstt.length;++i) {
			// for each line of HTML text
			if ( ( i & 1 ) == 1 ) {
				// tag
				tag = sstt[i];
				
				if(tag.length() >= 4) {
					if(tag.substring(0,3).equals("<br")) {
						// an HTML <br>
						line = "\n";
						count = count + 1;
						page.append(line);
						text_out3 = text_out3 +  line;
					}
				}
				
				if((tag.indexOf("<span") >= 0) && (tag.indexOf("bold") >= 0)) {
					// Bold
					bold_on = true;
					//f = fb;
					page.setFont(f_new);
				} else {
					bold_on = false;
					//f = f0;
					page.setFont(f_old);
				}
				
				if((tag.indexOf("<span") >= 0) && (tag.indexOf("underline") >= 0)) {
					// UNDERLINE
					underline_on = true;
					page.setFont(f_new);
				} else {
					underline_on = false;
					page.setFont(f_old);
				}
				
			} else {
				// nont-ag
				if (!sstt[i].equals("")) {
					// a non NULL string
					line = sstt[i];	
					String line2 = line;
					before =  count;
					count = count + line2.length();
					after = count;

					String[] line3 = line_to_multi(line2);
					for(int j = 0; j < line3.length; ++j) {
						page.append(line3[j]);
					}

					if(Wcker.DEBUG > 0) {
						System.out.println(before + line2 + after + bold_on );
					}


					StyleRange styleRange = new StyleRange();

					if(underline_on) {
						// simulate underline with inverse video
						styleRange.foreground = page.getBackground();
						styleRange.background = page.getForeground();
					}

					if(bold_on) {
						styleRange.fontStyle = SWT.BOLD;
					}
					styleRange.start = before;
					styleRange.length = after - before;
					if(Wcker.DEBUG > 0) {
						System.out.println("=========== " + before + " " + after);
					}
					page.setStyleRange(styleRange);

					text_out3 = text_out3 + line;
				}
			}
		}	// end of HTML input line


		if(Wcker.DEBUG > 0) {
			System.out.println("5555555555");
			System.out.println(text_out3);
			System.out.println("66666666666");
		}

		return text_out3;

	}
	 
	/**
    * sets up help area and contents
    */
	void set_up_help(Display display, Composite help_composite, String contents) {

		GridLayout g_layout = new GridLayout();
		g_layout.numColumns = 1;
		help_composite.setLayout(g_layout); // a trivial layout for the help composite

		// GridData gd = (new BustingGridData()).getValue(); // not used : coule be useful
		
		StyledText st = new StyledText(help_composite, (SWT.READ_ONLY &(~ SWT.BORDER)) | SWT.H_SCROLL );
										// put styled text in composite
	
		int level = 128 + 64 + 32;	// to match existing blan grey level 
		st.setBackground(new Color(display,level,level,level) );
		st.setWordWrap(true);
		st.setSize(100,600);

		// display contents in styled text region : return value not used
		// but could be useful bland text version of what is output
		String display_string2 = display_html_file(display, contents, st);

		// compute size of styles text
		Point p = st.computeSize(SWT.DEFAULT,SWT.DEFAULT,true);
		if(Wcker.DEBUG > 0) {
			System.out.println("YYY STYLED TEXT SIZE (" + p.x + "," + p.y + ")");
		}

	}
	
	/**
     * convert a filename to a string holding the 
	 * contents of the file 
     * @param name the name of the file
	 * @return the contents of the file
     */
	public static String filename_to_contents(String name) {
		String text_out;
		StringBuffer buffer = new StringBuffer();

		try {
			BufferedReader input = new BufferedReader(new FileReader(name));
			
			String text;

			while (( text = input.readLine()) != null) {
				int start; 
				buffer.append(text + "\n");	
			}
		} catch (Exception e) {
			System.out.println("Caugh Excepion\n");
		}

		return buffer.toString();
	}
	
	String[] process_text_content(String[] ss) {
		String text_out2 = "";
		for(int i=0;i<ss.length;++i) {
			// BETWEEN TAGS
			if(ss[i].equals("\n")) {
				// replace single newlines with null string
				ss[i] = "";
			}
			
			ss[i]=ss[i].replaceAll("\n"," ");	// replace other newlines with spaces

			if(Wcker.DEBUG > 0) {
				System.out.println("...  |" + ss[i] + "|" + i + "/" + ss.length);
				if(!ss[i].equals("")) {
					//System.out.println(ss[i]);
				}
			}
			text_out2 = text_out2  + "|" + ss[i] + "|\n";	// accumulate
		}
		return ss;
	}

	String display_html_file(Display display, String text_out, StyledText page) {
		int i;

		// split string using XML tags as delimitors
		String ss[] = text_out.split("<[^>]*>");
		// extract the tags themselves
		String tt[] = extract_tags(text_out);

		if(Wcker.DEBUG > 0) {
			System.out.println("1111111");
			System.out.println("text_out = " + text_out);
		}
		
		ss = process_text_content(ss);

		if(Wcker.DEBUG > 0) {
			System.out.println("2222222");
		}
		
		for(i=0;i<tt.length;++i) {
			// TAGS
			if(Wcker.DEBUG > 0) {
				System.out.println("..." +  i + "/" + tt.length);
			}

			tt[i]=tt[i].replaceAll("\n",""); // replace newlines with null strings

			if(Wcker.DEBUG > 0) {
				System.out.println(tt[i]);
			}
		}
		
		if(Wcker.DEBUG > 0) {
			System.out.println("333333333");	
		}

		// perform a riffe-shuffle of the two arrays into one
		// DB: sstt is an array initialised with n entries, 
		// where n is the sum of the number of strings in ss and tt
		String sstt[] = new String[ss.length + tt.length];
		if(Wcker.DEBUG > 0) {
			System.out.println("ss.length = " + ss.length);	
			System.out.println("tt.length = " + tt.length);	
			System.out.println("sstt.length = " + sstt.length);	
		}
		for(i=0;i<sstt.length;++i) {
			if(Wcker.DEBUG > 0) {
				System.out.println("i = " + i);	
			}
			if((i & 1) == 1) {
				// tag
				sstt[i] = tt[i/2];
			} else {
				sstt[i] = ss[i/2];
			}
		}
		if(Wcker.DEBUG > 0) {
			System.out.println("444444444");
		}

		// collect bland text version of "complex" display
		String text_out3 = display_mixed_strings(display, sstt, page);

		return  text_out3; // text_out
	}
	
	public Help(Composite shell, String page_contents) {
		Display display = Display.getCurrent();
		set_up_help(display,shell,page_contents);
	}
	
	public Help () {
		
	}
}
