/*
 * Created on 15-Jul-2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package uk.ac.ox.tall.wcker.wizard;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.jdom.Attribute;
import org.jdom.Element;
import org.jdom.JDOMException;
import org.jdom.xpath.XPath;

import uk.ac.ox.tall.wcker.Wcker;

/**
 * @author balchd
 *
 */
public class HelpPanel {

    /**
     * @param parent The parent Composite to attach to
     * @param ntk The NeedToKnow to get the data from
     * @param stepNumber The current wizard step
     */
	public HelpPanel(Composite parent, NeedToKnow ntk, int stepNumber) {
		// Create a new browser object
		// TODO: find out how to only show scrollbars when needed.
		WckerBrowser helpBrowser = new WckerBrowser(parent, SWT.NONE);

		// Load the guidance for the given step into the browser
		helpBrowser.setDocument(ntk.steps[stepNumber].guidance);
		
		// Do layout
		GridData progress_GridData = new GridData();
		progress_GridData.verticalAlignment=GridData.FILL;
		progress_GridData.grabExcessVerticalSpace = true;
		progress_GridData.widthHint=150;
		helpBrowser.setLayoutData(progress_GridData);
	}

	/**
	 * Update the guidance shown to reflect the currently selected TreeItem
	 * @param item
	 */
	public void updateTreeGuidance(WckerStep step, Element cpItem) {
		// TODO
	    if(Wcker.DEBUG > 0) {
	        System.out.println("updateGuidance()");
	        System.out.println("cpItem: " + cpItem);
	    }
	    
		XPath qhPath;
    	Attribute qhAttrib = null;
		try {
			qhPath = XPath.newInstance("cp:metadata/wm:wcker/@questionHook");
			qhPath.addNamespace(NeedToKnow.nsCP);
			qhPath.addNamespace(NeedToKnow.nsWM);
			qhAttrib = (Attribute)qhPath.selectSingleNode(cpItem);
		} catch (JDOMException e) {
			e.printStackTrace();
		}
	    String questionHook = qhAttrib.getValue();

		// Add the relevant QuestionGroups
		ApplyToItem[] applyItems = step.applyHierChunk.applyItemChunks;

	    if(Wcker.DEBUG > 0) {
	        System.out.println("step.applyHierChunk: " + step.applyHierChunk);
	        System.out.println("applyItems: " + applyItems);
	        System.out.println("applyItems.length: " + applyItems.length);
	    }
		// Find references to any relevant questionGroups
		// for all applyToItem objects, 
		for(int i = 0; i < applyItems.length; i++) {
			ApplyToItem thisApplyToItem = applyItems[i];

		    if(Wcker.DEBUG > 0) {
		        System.out.println("questionHook: " + questionHook);
		        System.out.println("thisApplyToItem: " + thisApplyToItem);
		        System.out.println("thisApplyToItem.getTargetHook(): " + thisApplyToItem.getTargetHook());
		    }
		    
			// If the targetHook matches the current questionHook
			if (thisApplyToItem.getTargetHook().equals(questionHook)) {
				// Add the ApplyItem guidance
				//thisApplyToItem.getAsComposite(qComp, cpItem);
			}
		}
	}
}
