package uk.ac.ox.tall.wcker.wizard;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.FontData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;

/**
 * A Composite displaying the names of the wizard steps, with the current step highlighted.
 * @author balchd
 */
public class ProgressLabels extends Composite {

	public ProgressLabels(Composite parent, NeedToKnow ntk ,int stepNumber) {
		super(parent, SWT.NONE);
		
        RowLayout layout = new RowLayout(SWT.HORIZONTAL);
        this.setLayout(layout);

        // Intro to the progress line
        Label intro = new Label(this, SWT.NONE);
        intro.setText("Progress: ");
        
        // Actual steps 
		for(int i=0; i<ntk.steps.length; i++) {
	        Label label = new Label(this, SWT.NONE);
	        label.setText(ntk.steps[i].title + " ");

	        // Format the surrent step as bold
			if (i == stepNumber) {
				Display display = parent.getDisplay();
				FontData fontData = new FontData();
				fontData.setStyle(SWT.BOLD);
				fontData.setHeight(10);
			    Font bold = new Font(display, fontData);
			    label.setFont(bold);
			} 
			
			// Step separator
	        if (i <= ntk.steps.length - 2) {
		        Label separator = new Label(this, SWT.NONE);
		        separator.setText("> ");
	        }
		}
	}
}
