package uk.ac.ox.tall.wcker.wizard;

import java.io.IOException;
import java.io.StringWriter;

import org.apache.xml.serialize.OutputFormat;
import org.apache.xml.serialize.XMLSerializer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.custom.StyledText;

import org.jdom.Document;
import org.jdom.output.XMLOutputter;

import uk.ac.ox.tall.wcker.Wcker;

public class WckerBrowser {
	Browser b;
	StyledText st;
	String os_name = System.getProperty("os.name");
	//boolean browser_fail = false;
	// XXX We need to use SWT 3.1 to get the Browser widget working on Linux.
	// See: http://dev.eclipse.org/viewcvs/index.cgi/%7Echeckout%7E/platform-swt-home/faq.html#browserlinux
	boolean browser_fail = os_name.equals("Linux") ;
	
	public WckerBrowser(Composite parent, int style) {
		if(Wcker.DEBUG > 1) {
			System.out.println("os_name = " + os_name);
		}
		
		if(browser_fail) {
			st = new StyledText(parent, (SWT.READ_ONLY &(~ SWT.BORDER)) | SWT.H_SCROLL);
		} else {
			b = new Browser(parent, style);
		}
	}

	/*
	 * Display HTML in a String object in the Browser widget.
	 */
	public void setText(String contents) {
		if(browser_fail) {
			st.setText(contents);
		} else {
			b.setText(contents);
		}
	}
	
	/*
	 * Display HTML in a Document object, via a String object.
	 */
	public void setDocument(Document contentsDoc) {
		String contents = null;
		
		StringWriter writer = new StringWriter();
		XMLOutputter outputter = new XMLOutputter();
		try {
			outputter.output(contentsDoc, writer);
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		contents = writer.toString();
		 
		if(Wcker.DEBUG > 1) {
			System.out.println("_~_~_~_~_~_~_~_~_");
			System.out.println("contentsDoc: " + contentsDoc);
			System.out.println("contents: " + contents);
		}
	      
		setText(contents);
	}
	
	public void setLayoutData(Object layoutData) {
		if(browser_fail) {
			st.setLayoutData(layoutData);
		} else {
			b.setLayoutData(layoutData);
		}
	}
}