package uk.ac.ox.tall.wcker.wizard;

import java.util.List;

import org.jdom.Element;

import uk.ac.ox.tall.wcker.Wcker;

/**
 * WckerInput class - represents the <input> element in the XML
 *                    forms part of the NeedToKnow object
 * @author BalchD
 * @author JohnstonD
 *  
 */

public class WckerInput {
	private String target; // The target in the output manifest
	private String type;   // Modifier for widget visibility
	private List outputAttribs = null;
	private String defaultValue;
	private String conditions;
	
	/**
	*	create a WckerInput object from a .wsi XML 'input' element
	*
	*	@param el input node
	*/
	WckerInput(Element el) {
		if(Wcker.DEBUG > 1) {
			System.out.println("");
			System.out.println("# Build WckerInput #");
			System.out.println("el: " + el);
			System.out.println("el.getChildren(): " + el.getChildren());
		}
		
		target = el.getAttributeValue("target");
		type = el.getAttributeValue("type");
		if (type == null) {
			type = "";
		}
		outputAttribs = el.getChildren("outputAttribute", NeedToKnow.nsWSI);
		
		defaultValue = el.getChildText("defaultValue", NeedToKnow.nsWSI);
		if (defaultValue == null) {
			defaultValue = "";
		}
		
		conditions = el.getAttributeValue("conditions");
		if (conditions == null) {
			conditions = "";
		}

		if(Wcker.DEBUG > 1) {
			System.out.println("outputAttribs: " + outputAttribs);
			System.out.println("defaultValue: " + defaultValue);
			toString();
		}
	}
	
	/**
	 * texutal dump of WckerInput object for debugging purposes
     */
	public String toString() {
		String  acc = "";
		if(Wcker.DEBUG > 1) {
		    acc +=  "\nContents of WckerInput:\n";
		    acc +=  " target: " + target + "\n";
		    acc +=  " type: " + type + "\n";
		    acc +=  " defaultValue: " + defaultValue + "\n";
		}
		return acc;
	}
	
	public String getTarget() {
		return target;
	}
	
	public String getType() {
		return type;
	}
	
	public List getOutputAttribs() {
		return outputAttribs;
	}
	
	public String getDefaultValue() {
		return defaultValue;
	}
	
	public String getConditions() {
		return conditions;
	}
}

