/*
 * Created on 23-Jun-2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package uk.ac.ox.tall.wcker.wizard;

import java.io.File;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.jface.wizard.WizardDialog;

import uk.ac.ox.tall.wcker.Wcker;
import uk.ac.ox.tall.wcker.wizardloader.WizPackageHandler;
import uk.ac.reload.diva.util.FileUtils;


/**
 * The main Wizard part of the WCKER program. This is a version of the SWT Wizard. 
 *  @author David Balch
 *
 */
public class WckerWiz extends Wizard {

	String wizardPackage;
	String loadType;
	public NeedToKnow ntk;

	/**
	 * Constructor for WizardChooser.
	 */
	public WckerWiz(String wizardPackageArg, String loadTypeArg) {
		super();
		wizardPackage = wizardPackageArg;
		loadType = loadTypeArg;

		// TODO: Set page image
		/*
		URL imgURL = null;
		try {
			imgURL = new URL("file://" +  Wcker.wckerProps.getProperty("wcker.gfx.dir") + "wckericon.png");
			System.out.println("Page image URL: " + imgURL.toString());
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
		ImageDescriptor id = ImageDescriptor.createFromURL(imgURL);
		//ImageDescriptor id = new ImageDescriptor(Wcker.wckerProps.getProperty("wcker.gfx.dir"), "wckericon.png");
		//ImageDescriptor id = ImageDescriptor.createFromFile(this.getClass(), Wcker.wckerProps.getProperty("wcker.gfx.dir") + "wckericon.png"); 
		//setDefaultPageImageDescriptor(id);
		*/
	}
	
	public void addPages() {
	    // TODO: Add a loading page
		
		File wizardWorkingDir = null;
		if (loadType.equals("newpackage")) {
			// TODO: Load new from package 
			wizardWorkingDir = WizPackageHandler.extractPackage(wizardPackage);
		} else {
			// Load previous work
			wizardWorkingDir = new File(wizardPackage);
		}
		
		// Create NeedToKnow object
		ntk = new NeedToKnow(wizardWorkingDir, loadType);

	    setWindowTitle(NeedToKnow.wizardTitle + " - WCKER");
		
	    // Iterate through steps listed in NTK, creating pages
	    int wizSteps = ntk.steps.length;
		for(int i=0; i<wizSteps; ++i) {
		    if(Wcker.DEBUG > 0) {
		        System.out.println("Step #" + i + ": " + ntk.steps[i].title);
		    }

		    // Add the page to the parent Wizard.
		    addPage(new WckerPage(ntk, i));
		}
	}

    /* (non-Javadoc)
     * @see org.eclipse.jface.wizard.Wizard#performFinish()
     */
    public boolean performFinish() {
    	WizardDialog container = (WizardDialog)getContainer();
    	// What's the last page?
    	String currentPage = "" + container.getCurrentPage();
    	String lastPage = "" + (ntk.steps.length -1);
    	
		if (Wcker.DEBUG > 1) {
			System.out.println("Finish");
			System.out.println("Current page: " + currentPage);
			System.out.println("last step: " + lastPage);
		}
    	
        // If not on last page, go there
    	if (!currentPage.equals(lastPage)) {
			container.showPage(getPage(lastPage));
    	} else {
	    	// If on last page, export files
    		if (Wcker.DEBUG > 1) {
    			System.out.println("Do export");
    			System.out.println("ntk.getExportDir(): " + ntk.getExportDir());
    		}
    		
    		//Save our progress
	        try {
	        	NeedToKnow.cp.saveDocument();
	        } catch (IOException io) {
	        	io.printStackTrace();
	        }
	        
	        // Export files
			new SkeletonExporter(ntk, ntk.getExportDir());
			// TODO: give feedback on how the export went
    	}
        return false;
    }

	public boolean performCancel() {
		if (Wcker.DEBUG > 0) {
			System.out.println("User cancelled.");
		}
		File opDir = ntk.getOperatingDir();
		
		// Ask user if they want to save their progress
		boolean saveProgress = askSaveProgress(opDir);
		
		
		if (saveProgress) {
			// TODO: Offer to save the progress somewhere. 
			try {
				NeedToKnow.cp.saveDocument();
			} catch (IOException e) {
				e.printStackTrace();
			}
		} else {
			// Remove the directory we've been working in
			try {
				FileUtils.deleteFolder(opDir);
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		
		// TODO: dispose of the whole wcker
		dispose();
		return true;
	}

	private boolean askSaveProgress(File opDir) {
		String title = "Unsaved work";
		String message = "Would you like to save your progress on this wizard?";
		message += "\n\t" + opDir.getAbsolutePath();
		String[] buttonText = new String[]{"Save progress", "Don't save"};
		
		MessageDialog messageBox = new MessageDialog(this.getShell(), title, null, message,
		MessageDialog.QUESTION, buttonText, 0);
		messageBox.open();
		
		if (messageBox.getReturnCode() == 0) {
			return true;
		} else {
			return false;
		}
	}
}
