/*
 * Created on 24-Jan-2005
 *
 */
package uk.ac.ox.tall.wcker.wizardchooser;

/**
 * 
 * A WizardCacheItem is a brief description of an available wizard, 
 * from information in the wizard cache file, and/or generated
 * from wizard packages.
 * <p>
 * A WizardCacheItem item lists an individual wizard's:
 * <ul>
 *   <li>Title</li>
 *   <li>Description</li>
 *   <li>File path</li>
 *   <li>Version</li>
 * </ul>
 * 
 * @author BalchD
 * @author JohnstonD
 *
 */
public class WizardCacheItem {

    public String wizardTitle;
    public String wizardDescription;
    public String wizardFile;
    public String wizardVersion;
    
    /**
     * creates a new wizard item
     * @param  t wizard title
     * @param  d wizard description
     * @param  f wizard file
     * @param  v wizard version
     */
    WizardCacheItem(String t, String d, String f, String v) {
    	wizardTitle = t;
    	wizardDescription = d;
    	wizardFile = f;
    	wizardVersion = v;
    }

    // Get wizard details
    public String toString() {
        return wizardTitle + " + " +  wizardDescription;
    }

    /**
     * Returns the Title of the wizard.
     * In use, one must ensure that, when getting the object, it is
     * cast the object as a WizardCacheItem, e.g.:
     * 
	 * versionVal = ((WizardCacheItem)get(i)).getTitle();
	 * 
     * @return wizard title
     */
    public String getTitle() {
        return wizardTitle;
    }
    /**
     * @return wizard description
     */
    public String getDescription() {
        return wizardDescription;
    }
    /**
     * @return wizard file
     */
    public String getFile() {
        return wizardFile;
    }
    /**
     * @return wizard version
     */
    public String getVersion() {
        return wizardVersion;
    }
}
