/**
 *  RELOAD TOOLS
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.editor;


/**
 * Icons and images Interface
 * 
 * @author Phillip Beauvoir
 * @version $Id: IIcons.java,v 1.7 2005/02/11 17:39:27 phillipus Exp $
 */
public interface IIcons {
	
    String ICON_PATH = "uk/ac/reload/editor/resources/images/";
	
	String ICON_ACT = ICON_PATH + "act.gif";
	String ICON_ACTIVITIES = ICON_PATH + "activities.gif";
	String ICON_ACTIVITYSTRUCTURE = ICON_PATH + "activity_structure.gif";
	String ICON_ACTIVITYSTRUCTURES = ICON_PATH + "activity_structures.gif";
	String ICON_ADD = ICON_PATH + "add.gif";
	String ICON_ADL = ICON_PATH + "adl.gif";
	String ICON_APP16 = ICON_PATH + "app16.gif";
	String ICON_APP32 = ICON_PATH + "app32.gif";
	String ICON_CONFERENCE = ICON_PATH + "conference.gif";
	String ICON_COPY = ICON_PATH + "copy.gif";
	String ICON_CP = ICON_PATH + "cp.gif";
	String ICON_CPSCORM = ICON_PATH + "cp_scorm.gif";
	String ICON_CUT = ICON_PATH + "cut.gif";
	String ICON_DELETE = ICON_PATH + "delete.gif";
	String ICON_DEPENDENCY = ICON_PATH + "dependency.gif";
	String ICON_DOWN = ICON_PATH + "down.gif";
	String ICON_EDIT = ICON_PATH + "edit.gif";
	String ICON_ENVIRONMENT = ICON_PATH + "environment.gif";
	String ICON_ENVIRONMENTS = ICON_PATH + "environments.gif";
	String ICON_EXPORT = ICON_PATH + "export.gif";
	String ICON_FILE = ICON_PATH + "file.gif";
	String ICON_FOLDER_CLOSED = ICON_PATH + "folder_closed.gif";
	String ICON_FOLDER_NEW = ICON_PATH + "folder_new.gif";
	String ICON_FOLDER_OPEN = ICON_PATH + "folder_open.gif";
	String ICON_IMPORT = ICON_PATH + "import.gif";
	String ICON_INDEXSEARCH = ICON_PATH + "index_search.gif";
	String ICON_ITEM = ICON_PATH + "item.gif";
	String ICON_ITEMSCORM = ICON_PATH + "item_scorm.gif";
	String ICON_JUMP = ICON_PATH + "jump.gif";
	String ICON_LD = ICON_PATH + "ld.gif";
	String ICON_LEARNER = ICON_PATH + "learner.gif";
	String ICON_LEARNERS = ICON_PATH + "learners.gif";
	String ICON_LEARNINGACTIVITY = ICON_PATH + "learning_activity.gif";
	String ICON_LEARNINGACTIVITIES = ICON_PATH + "learning_activities.gif";
	String ICON_LEARNINGOBJECT = ICON_PATH + "learning_object.gif";
	String ICON_LEARNINGOBJECTS = ICON_PATH + "learning_objects.gif";
	String ICON_LEFT = ICON_PATH + "left.gif";
	String ICON_MD = ICON_PATH + "md.gif";
	String ICON_MDFOLDER = ICON_PATH + "md-folder.gif";
	String ICON_MDLEAF = ICON_PATH + "md-leaf.gif";
	String ICON_METHOD = ICON_PATH + "method.gif";
	String ICON_MINUS = ICON_PATH + "minus.gif";
	String ICON_MINUS_SM = ICON_PATH + "minus_sm.gif";
	String ICON_MONITOR = ICON_PATH + "monitor.gif";
	String ICON_NEW = ICON_PATH + "new.gif";
	String ICON_NODE = ICON_PATH + "node.gif";
	String ICON_OPEN = ICON_PATH + "open.gif";
	String ICON_ORG = ICON_PATH + "org.gif";
	String ICON_ORGS = ICON_PATH + "orgs.gif";
	String ICON_PASTE = ICON_PATH + "paste.gif";
	String ICON_PLAY = ICON_PATH + "play.gif";
	String ICON_PLUS2_SM = ICON_PATH + "plus2_sm.gif";
	String ICON_PLUS_SM = ICON_PATH + "plus_sm.gif";
	String ICON_QUESTION = ICON_PATH + "question.gif";
	String ICON_REDO = ICON_PATH + "redo.gif";
	String ICON_REFRESH = ICON_PATH + "refresh.gif";
	String ICON_RESOURCE = ICON_PATH + "resource.gif";
	String ICON_RESOURCES = ICON_PATH + "resources.gif";
	String ICON_RIGHT = ICON_PATH + "right.gif";
	String ICON_ROLEPART = ICON_PATH + "role_part.gif";
	String ICON_ROLES = ICON_PATH + "roles.gif";
	String ICON_SAVE = ICON_PATH + "save.gif";
	String ICON_SENDMAIL = ICON_PATH + "sendmail.gif";
	String ICON_SERVICE = ICON_PATH + "service.gif";
	String ICON_SORT = ICON_PATH + "sort.gif";
	String ICON_STAFF = ICON_PATH + "staff.gif";
	String ICON_STAFFS = ICON_PATH + "staffs.gif";
	String ICON_SUPPORTACTIVITY = ICON_PATH + "support_activity.gif";
	String ICON_SUPPORTACTIVITIES = ICON_PATH + "support_activities.gif";
	String ICON_THREAD = ICON_PATH + "thread.png";
	String ICON_TITLE = ICON_PATH + "title.gif";
	String ICON_UNDO = ICON_PATH + "undo.gif";
	String ICON_UNIT_OF_LEARNING = ICON_PATH + "uol.gif";
	String ICON_UNIT_OF_LEARNINGS = ICON_PATH + "uols.gif";
	String ICON_UP = ICON_PATH + "up.gif";
	String ICON_VIEWCP = ICON_PATH + "viewcp.gif";
	String ICON_VIEWFILE = ICON_PATH + "viewfile.gif";
	String ICON_WORLD = ICON_PATH + "world.gif";
	String ICON_ZIP = ICON_PATH + "zip.gif";
	
	String IMAGE_SPLASH = ICON_PATH + "splash.gif";
	String IMAGE_EASTER_EGG = ICON_PATH + "easter_egg.jpg";

}
