/**
 *  RELOAD TOOLS
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.scormplayer.client.gui.mainwindow.itemwindow;

import javax.swing.Icon;

import org.jdom.Element;

import uk.ac.reload.dweezil.gui.tree.DweezilTreeNode;
import uk.ac.reload.dweezil.util.DweezilUIManager;
import uk.ac.reload.scormplayer.client.gui.IIcons;

/**
 * Tree Node
 *
 * @author Paul Sharples
 * @version $Id: CMIModelTreeNode.java,v 1.3 2004/07/20 00:05:45 phillipus Exp $
 */
public class CMIModelTreeNode
extends DweezilTreeNode
implements IIcons
{

    public CMIModelTreeNode(Element name) {
        super(name);
    }

    public Element getElement() {
        return (Element) getUserObject();
    }

    public String toString() {
        Element aNode = (Element) getUserObject();
        String name = aNode.getName();
        if (aNode.getName().equals("interaction") ||
            aNode.getName().equals("objective") ||
            aNode.getName().equals("correct_response")) {
            String index = aNode.getAttributeValue("index");
            return name + " (" + index + ")";
        }
        else {

            return name;
        }
    }

    /**
     * @return the Closed Icon to display
     */
    public Icon getClosedIcon() {
        return DweezilUIManager.getIcon(ICON_CMI_ELEMENT_FOLDER_CLOSED);
    }

    public Icon getLeafIcon() {
        return DweezilUIManager.getIcon(ICON_CMI_ELEMENT_LEAF);
    }

    public Icon getOpenIcon() {
        return DweezilUIManager.getIcon(ICON_CMI_ELEMENT_FOLDER_OPEN);
    }

}


