/**
*  RELOAD TOOLS
*
*  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
*
*  Permission is hereby granted, free of charge, to any person obtaining a copy
*  of this software and associated documentation files (the "Software"), to deal
*  in the Software without restriction, including without limitation the rights
*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
*  copies of the Software, and to permit persons to whom the Software is
*  furnished to do so, subject to the following conditions:
*
*  The above copyright notice and this permission notice shall be included in
*  all copies or substantial portions of the Software.
*
*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
*  Project Management Contact:
*
*  Oleg Liber
*  Bolton Institute of Higher Education
*  Deane Road
*  Bolton BL3 5AB
*  UK
*
*  e-mail:   o.liber@bolton.ac.uk
*
*
*  Technical Contact:
*
*  Phillip Beauvoir
*  e-mail:   p.beauvoir@bolton.ac.uk
*
*  Paul Sharples
*  e-mail:   p.sharples@bolton.ac.uk
*
*  Web:      http://www.reload.ac.uk
*
*/

package uk.ac.reload.scormplayer.client.gui.prefs;

import javax.swing.JLabel;
import javax.swing.JTextField;

import uk.ac.reload.dweezil.gui.layout.XYConstraints;
import uk.ac.reload.dweezil.gui.layout.XYLayout;
import uk.ac.reload.dweezil.prefs.PrefsPanel;
import uk.ac.reload.diva.prefs.UserPrefs;
import uk.ac.reload.scormplayer.client.generic.prefs.ScormPlayerPrefs;


/**
 * A Server Settings User Prefs Panel
 *
 * @author Paul Sharples
 * @version $Id: Server_PrefsPanel.java,v 1.4 2004/07/19 16:20:57 ps3com Exp $
 */
public class Server_PrefsPanel extends PrefsPanel{

    /**
     * Default UserId
     */
    private JTextField _tfDefaultPortNumber;


    public Server_PrefsPanel() {
        setLayout(new XYLayout());
        constructFields();
    }

    /**
   * Set up the fields
   */
  private void constructFields() {
      int x = 10;
      int y = 10;

      // ============ Default User id to use ==================
      JLabel idLabel = new JLabel("Server port:");
      add(idLabel, new XYConstraints(x, y + 2, 0, 0));
      _tfDefaultPortNumber = new JTextField();
      add(_tfDefaultPortNumber, new XYConstraints(x + 160, y, 150, TEXTBOX_HEIGHT));
  }

  /**
    * Update UserPrefs according to the controls' settings
    */
   public void saveToUserPrefs(UserPrefs prefs) {
       prefs.putValue(ScormPlayerPrefs.PORT_NUMBER, _tfDefaultPortNumber.getText());
   }


   /**
    * Set the fields' settings from those found in UserPrefs
    */
   public void setFields(UserPrefs prefs) {
       // Set value in field
      _tfDefaultPortNumber.setText(prefs.getValue(ScormPlayerPrefs.PORT_NUMBER));
   }
   
   /* 
    * Cancel any cahnges
    */
   public void cancel() {
   	
   }
   
}

