/**
 *  RELOAD TOOLS
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */
package uk.ac.reload.scormplayer.server.beans;

import uk.ac.reload.diva.util.GeneralUtils;
import uk.ac.reload.scormplayer.server.servlets.ScormLaunch;

/**
 * A utility bean used to pass settings type information to the navigation system
 * @author Paul Sharples
 * @version $Id: UtilsBean.java,v 1.1 2004/07/19 15:57:52 ps3com Exp $
 */
public class UtilsBean {
    
    private String javaVersion;    
    private String[] javascriptStrings;
    private String isNavigationEnabled;
    private String isTreeEnabled;
    private String isAutoProgressionEnabled;
    
    public UtilsBean(){
        javaVersion = GeneralUtils.getJavaVersion(); 
        javascriptStrings = ScormLaunch.scormManager.getJavascriptStrings();
        isNavigationEnabled = Boolean.toString(ScormLaunch.scormManager.isNavVisible());
        isTreeEnabled = Boolean.toString(ScormLaunch.scormManager.isTreeVisible());
        isAutoProgressionEnabled =  Boolean.toString(ScormLaunch.scormManager.isAutoProgressionEnabled());
    }
    
    public String getJavaVersion(){
        return javaVersion;
    }
    
    public String[] getJavascriptStrings(){
        return javascriptStrings;
    }
    
    public String getIsNavigationEnabled(){
        return isNavigationEnabled;
    }
    
    public String getIsTreeEnabled(){
        return isTreeEnabled;
    }
    
    public String getIsAutoProgressionEnabled(){
        return isAutoProgressionEnabled;
    }
}
