/**
 *  RELOAD TOOLS
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */
package uk.ac.reload.scormplayer.server.customtaglibs;

import java.util.Locale;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.jsp.tagext.TagSupport;

import org.apache.struts.Globals;
import org.apache.struts.util.MessageResources;

import uk.ac.reload.scormplayer.server.servlets.ScormLaunch;


/**
 * A class to define what property to get and make available to a jsp at runtime.
 * 
 * @author Paul Sharples
 * @version $Id: VarPropertiesTag.java,v 1.1 2004/07/19 16:00:42 ps3com Exp $
 */
public class VarPropertiesTag extends TagSupport {
    
  /**
   * The name of the property we want to access in jsps
   */
  private String propertyValue;

  /**
   * Getter method for propertyValue
   */
  public String getPropertyValue() {
    return propertyValue;
  }

  /**
   * Setter method for propertyValue
   */
  public void setPropertyValue(String propertyValue) {
    this.propertyValue = propertyValue;
  }

  /**
   * Actual business logic for this tag.  We use the value set in propertyValue
   * and try to load that resource (value) in from the specified properties file 
   * (which is specified in struts-config.xml)
   * If successful we then make that available to the jsp by setting it as a page attribute 
   */
  public int doStartTag()  {     
      ServletConfig config = null;            
      HttpSession session = ScormLaunch.getHttpSession();                        
      ServletContext application = session.getServletContext();                                     
      MessageResources mr = (MessageResources)application.getAttribute(Globals.MESSAGES_KEY);
      Locale locale = (Locale)session.getAttribute(Globals.LOCALE_KEY);
      pageContext.setAttribute("propertyValue", mr.getMessage(locale, "" + propertyValue + ""));
    return EVAL_BODY_INCLUDE;
  }
}
