/**
 *  RELOAD TOOLS
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */
package uk.ac.reload.scormplayer.server.servlets;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import uk.ac.reload.scormplayer.server.beans.LMSDataFormBean;
import uk.ac.reload.scormplayer.server.beans.LMSResultsBean;
import uk.ac.reload.scormplayer.server.beans.LMSDataHandler;

/**
* A Struts action class used to handle bean calculation
* 
* @author Paul Sharples
* @version $Id: LMSDataAction.java,v 1.1 2004/07/19 16:02:42 ps3com Exp $
*/
public class LMSDataAction extends Action {

    public static final String LOAD_LMS_PAGE = "load_lms_page";

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {       
        // define a new datahandler
        LMSDataHandler lmsDataHandler= new LMSDataHandler((LMSDataFormBean)form);
        // get the results bean
        LMSResultsBean lmsResultsBean = lmsDataHandler.getResultsBean();   
        // put it into the session
        request.setAttribute("lmsResultsBean", lmsResultsBean);              
        return (mapping.findForward(LOAD_LMS_PAGE));        
    }
}
