/**
 *  RELOAD TOOLS
 *
 *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Paul Sharples
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *  Project Management Contact:
 *
 *  Oleg Liber
 *  Bolton Institute of Higher Education
 *  Deane Road
 *  Bolton BL3 5AB
 *  UK
 *
 *  e-mail:   o.liber@bolton.ac.uk
 *
 *
 *  Technical Contact:
 *
 *  Phillip Beauvoir
 *  e-mail:   p.beauvoir@bolton.ac.uk
 *
 *  Paul Sharples
 *  e-mail:   p.sharples@bolton.ac.uk
 *
 *  Web:      http://www.reload.ac.uk
 *
 */

package uk.ac.reload.scormplayer.tomcat;


import java.util.Hashtable;
import java.io.File;

/**
 * An interface to hold all of the methods needed to be implemented by a class to use the Tomcat server
 * 
 * @author Paul Sharples
 * @version $Id: ITomcatHandler.java,v 1.2 2004/07/19 16:04:17 ps3com Exp $
 */
public interface ITomcatHandler extends IServerHandler {
    
    public static final String HTTP_PROTOCOL = "http://";
         
    // Must tell which contexts (apps) are to be loaded
    public Hashtable getDefaultContexts();
    
    // Must say which port number to run 
    public int getPortNumber();
    
    // Must say what hostname - i.e. localhost or 127.0.0.1 etc
    public String getHostName();
    
    // Need to know where tomcat instalaton is located
    public File getTomcatPath();
    
    // Need to know which machines can have access
    public String[] getAllowedMachines();
    
    // Need to know where the web applications are located
    public File getWebAppsPath();
       

}